# $Revision: 1.68 $, $Date: 2009/03/21 09:23:49 $
#
# Conditional build:
%bcond_without	apidocs		# do not prepare API documentation
#
%define		qtver		4.4.3
%define		_state		stable
%define		orgname		kdepimlibs
Summary:	Personal Information Management (PIM) libraries for KDE
Summary(pl.UTF-8):	Biblioteki zarządzania informacjami osobistymi (PIM) dla KDE
Name:		kde4-kdepimlibs
Version:	4.2.1
Release:	5
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	5f220939f33c38992f419d5dfc6874df
Patch100:	%{name}-branch.diff
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	akonadi-devel >= 1.1.1
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	bison
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	cmake >= 2.6.2
BuildRequires:	cyrus-sasl-devel
BuildRequires:	docbook-dtd42-xml
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	flex
BuildRequires:	gpgme-devel
%{?with_apidocs:BuildRequires:	graphviz}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libical-devel >= 0.33
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
BuildRequires:	qt4-build >= %{qtver}
%{?with_apidocs:BuildRequires:	qt4-doc >= %{qtver}}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRequires:	zlib-devel
BuildConflicts:	indexlib
BuildConflicts:	kdepim-kontact-libs
BuildConflicts:	kdepim-libkmailprivate
Requires:	%{name} = %{version}-%{release}
Requires(post,postun):	/sbin/ldconfig
Obsoletes:	kdepimlibs4
Conflicts:	kdelibs
Conflicts:	kdepimlibs4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kdepimlibs is a collection of Personal Information Management (PIM)
libraries for the K Desktop Environment (KDE).

%description -l pl.UTF-8
kdepimlibs to zestaw bibliotek PIM dla K Desktop Environment (KDE).

%package devel
Summary:	Development files for KDE PIM libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek KDE PIM
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kde4-kdelibs-devel >= %{version}

%description devel
This package contains header files needed if you wish to build
applications based on kdepimlibs.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe potrzebne do budowy aplikacji
opartych na kdepimlibs.

%prep
%setup -q -n %{orgname}-%{version}
%patch100 -p0

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir} \
	-DCMAKE_BUILD_TYPE=%{!?debug:release}%{?debug:debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkabc.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkabc.so.4
%attr(755,root,root) %{_libdir}/libkabc_file_core.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkabc_file_core.so.4
%attr(755,root,root) %{_libdir}/libkcal.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkcal.so.4
%attr(755,root,root) %{_libdir}/libkldap.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkldap.so.4
%attr(755,root,root) %{_libdir}/libkresources.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkresources.so.4
%attr(755,root,root) %{_libdir}/libktnef.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libktnef.so.4
%attr(755,root,root) %{_libdir}/libkxmlrpcclient.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkxmlrpcclient.so.4
%attr(755,root,root) %{_libdir}/libgpgme++-pthread.so.2.*.*
%attr(755,root,root) %ghost %{_libdir}/libgpgme++-pthread.so.2
%attr(755,root,root) %{_libdir}/libgpgme++.so.2.*.*
%attr(755,root,root) %ghost %{_libdir}/libgpgme++.so.2
%attr(755,root,root) %{_libdir}/libkblog.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkblog.so.4
%attr(755,root,root) %{_libdir}/libkimap.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkimap.so.4
%attr(755,root,root) %{_libdir}/libkmime.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkmime.so.4
%attr(755,root,root) %{_libdir}/libkpimidentities.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkpimidentities.so.4
%attr(755,root,root) %{_libdir}/libkpimutils.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkpimutils.so.4
%attr(755,root,root) %{_libdir}/libmailtransport.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libmailtransport.so.4
%attr(755,root,root) %{_libdir}/libqgpgme.so.1.*.*
%attr(755,root,root) %ghost %{_libdir}/libqgpgme.so.1
%attr(755,root,root) %{_libdir}/libgpgme++-pth.so.2.*.*
%attr(755,root,root) %ghost %{_libdir}/libgpgme++-pth.so.2
%attr(755,root,root) %ghost %{_libdir}/libsyndication.so.4
%attr(755,root,root) %{_libdir}/libsyndication.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libakonadi-kde.so.4
%attr(755,root,root) %{_libdir}/libakonadi-kde.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libakonadi-kmime.so.4
%attr(755,root,root) %{_libdir}/libakonadi-kmime.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libakonadi-kabc.so.4
%attr(755,root,root) %{_libdir}/libakonadi-kabc.so.4.*.*

%attr(755,root,root) %{_libdir}/kde4/kabc_directory.so
%attr(755,root,root) %{_libdir}/kde4/kabc_file.so
%attr(755,root,root) %{_libdir}/kde4/kabc_ldapkio.so
%attr(755,root,root) %{_libdir}/kde4/kabc_net.so
%attr(755,root,root) %{_libdir}/kde4/kabcformat_binary.so
%attr(755,root,root) %{_libdir}/kde4/kcal_local.so
%attr(755,root,root) %{_libdir}/kde4/kcal_localdir.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kresources.so
%attr(755,root,root) %{_libdir}/kde4/kcm_mailtransport.so
%attr(755,root,root) %{_libdir}/kde4/kio_imap4.so
%attr(755,root,root) %{_libdir}/kde4/kio_ldap.so
%attr(755,root,root) %{_libdir}/kde4/kio_mbox.so
%attr(755,root,root) %{_libdir}/kde4/kio_nntp.so
%attr(755,root,root) %{_libdir}/kde4/kio_pop3.so
%attr(755,root,root) %{_libdir}/kde4/kio_sieve.so
%attr(755,root,root) %{_libdir}/kde4/kio_smtp.so

%dir %{_datadir}/apps/kabc
%{_datadir}/apps/kabc/*countrytransl.map
%dir %{_datadir}/apps/kabc/formats
%{_datadir}/apps/kabc/formats/*binary.desktop
%dir %{_datadir}/apps/akonadi-kde
%{_datadir}/apps/akonadi-kde/kcfg2dbus.xsl

%{_datadir}/apps/kconf_update/mailtransports.upd
%{_datadir}/apps/kconf_update/migrate-transports.pl

%{_datadir}/config.kcfg/mailtransport.kcfg

%{_datadir}/dbus-1/interfaces/org.kde.KResourcesManager.xml
%{_datadir}/dbus-1/interfaces/org.kde.pim.IdentityManager.xml

%{_datadir}/kde4/services/imap4.protocol
%{_datadir}/kde4/services/imaps.protocol
%{_datadir}/kde4/services/ldap.protocol
%{_datadir}/kde4/services/ldaps.protocol
%{_datadir}/kde4/services/mbox.protocol
%{_datadir}/kde4/services/nntp.protocol
%{_datadir}/kde4/services/nntps.protocol
%{_datadir}/kde4/services/pop3.protocol
%{_datadir}/kde4/services/pop3s.protocol
%{_datadir}/kde4/services/sieve.protocol
%{_datadir}/kde4/services/smtp.protocol
%{_datadir}/kde4/services/smtps.protocol

%{_datadir}/kde4/services/kcm_mailtransport.desktop
%{_datadir}/kde4/services/kresources.desktop
%dir %{_datadir}/kde4/services/kresources
%{_datadir}/kde4/services/kresources/kabc/dir.desktop
%dir %{_datadir}/kde4/services/kresources/kabc
%{_datadir}/kde4/services/kresources/kabc/file.desktop
%{_datadir}/kde4/services/kresources/kabc/ldapkio.desktop
%{_datadir}/kde4/services/kresources/kabc/net.desktop
%{_datadir}/kde4/services/kresources/kabc_manager.desktop
%dir %{_datadir}/kde4/services/kresources/kcal
%{_datadir}/kde4/services/kresources/kcal/local.desktop
%{_datadir}/kde4/services/kresources/kcal/localdir.desktop
%{_datadir}/kde4/services/kresources/kcal_manager.desktop

%{_datadir}/kde4/servicetypes/kresources_manager.desktop
%{_datadir}/kde4/servicetypes/kresources_plugin.desktop
%lang(en) %{_kdedocdir}/en/kcontrol/kresources
%lang(en) %{_kdedocdir}/en/kioslave/imap
%lang(en) %{_kdedocdir}/en/kioslave/ldap
%lang(en) %{_kdedocdir}/en/kioslave/nntp
%lang(en) %{_kdedocdir}/en/kioslave/pop3
%lang(en) %{_kdedocdir}/en/kioslave/smtp

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/akonadi
%{_includedir}/kabc
%{_includedir}/kcal
%{_includedir}/kldap
%{_includedir}/kresources
%{_includedir}/ktnef
%{_includedir}/syndication
%{_includedir}/kxmlrpcclient
%{_includedir}/gpgme++
%{_includedir}/kblog
%{_includedir}/kimap
%{_includedir}/kmime
%{_includedir}/kpimidentities
%{_includedir}/kpimutils
%{_includedir}/mailtransport
%{_includedir}/qgpgme

%dir %{_libdir}/gpgmepp
%{_libdir}/gpgmepp/*.cmake
%{_libdir}/KdepimLibs-%{version}
%{_datadir}/apps/cmake/modules/*.cmake


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdepimlibs.spec,v $
Revision 1.68  2009/03/21 09:23:49  arekm
- rel 5; files fixed

Revision 1.67  2009/03/21 09:15:44  arekm
- release 4

Revision 1.66  2009/03/07 18:15:01  arekm
- rel 3; BR QtTest-devel

Revision 1.65  2009/03/07 17:28:06  arekm
- apply branch diff

Revision 1.64  2009/03/07 17:27:45  arekm
- release 2

Revision 1.63  2009/02/27 12:46:26  shadzik
- 4.2.1

Revision 1.62  2009/02/24 01:41:54  shadzik
- updated branch patch
- rel 8

Revision 1.61  2009/02/20 22:33:04  shadzik
- rel 7

Revision 1.60  2009/02/20 12:15:53  shadzik
- release 6

Revision 1.59  2009/02/20 11:53:52  shadzik
- conditional release/debug build (thx glen)

Revision 1.58  2009/02/20 10:54:06  shadzik
- don't be that noisy on terminal output; rel up

Revision 1.57  2009/02/06 16:59:33  witekfl
- replaced the strange char with the apostrophe in the changelog.

Revision 1.56  2009/02/03 13:37:36  shadzik
- rel 4

Revision 1.55  2009/02/03 12:43:41  shadzik
- merged from DEVEL
- 4.2.0

Revision 1.49.2.36  2009/02/03 09:15:10  arekm
- rel 3; include branch diff

Revision 1.49.2.35  2009/01/22 19:30:47  shadzik
- updated automoc4 BR; rel 2

Revision 1.49.2.34  2009/01/22 11:30:06  shadzik
- 4.2.0

Revision 1.49.2.33  2009/01/07 18:33:35  shadzik
- updated akonadi BR
- rel 2

Revision 1.49.2.32  2009/01/07 18:22:53  shadzik
- 4.2 RC1

Revision 1.49.2.31  2009/01/05 17:53:39  glen
- revert source url change

Revision 1.49.2.30  2009/01/02 21:01:08  rotom
- up to 4.1.87
- new Source URL

Revision 1.49.2.29  2008/12/15 13:45:40  shadzik
- 4.1.85

Revision 1.49.2.28  2008/12/08 12:50:55  paszczus
- updated to 4.1.82

Revision 1.49.2.27  2008/11/29 02:35:09  shadzik
- 4.1.81

Revision 1.49.2.26  2008/11/26 18:30:53  shadzik
- 4.2 beta1

Revision 1.49.2.25  2008/11/18 20:40:05  shadzik
- undo kill C: kdelibs

Revision 1.49.2.24  2008/11/18 17:10:35  shadzik
- kill C: kdelibs

Revision 1.49.2.23  2008/11/13 14:29:35  paszczus
- updated to 4.1.73

Revision 1.49.2.22  2008/11/11 16:17:19  shadzik
- even better, just own the kresource folder

Revision 1.49.2.21  2008/11/11 16:14:41  shadzik
- don't package kcontrol docdir

Revision 1.49.2.20  2008/11/07 09:40:01  shadzik
- more ghost files

Revision 1.49.2.19  2008/11/07 09:29:31  shadzik
- R: ldconfig
- don't package already ghosted files!

Revision 1.49.2.18  2008/11/06 20:25:30  paszczus
- added BR: libical-devel >= 0.33

Revision 1.49.2.17  2008/11/06 02:30:57  shadzik
- 4.1.72

Revision 1.49.2.16  2008/10/23 16:48:22  rotom
- up to 4.1.71

Revision 1.49.2.15  2008/10/18 11:26:00  rotom
- up to 4.1.70

Revision 1.49.2.14  2008/10/10 09:05:34  paszczus
- updated to 4.1.69

Revision 1.49.2.13  2008/10/02 09:28:51  paszczus
- updated to 4.1.68

Revision 1.49.2.12  2008/09/19 20:12:30  paszczus
- updated to 4.1.67

Revision 1.49.2.11  2008/09/04 18:40:37  paszczus
- updated to 4.1.65

Revision 1.49.2.10  2008/08/31 10:15:29  wolf
gpgme-devel-1.1.6-1.athlon zaznaczył pth-devel-2.0.7-3.athlon (wł. libtool(/usr/lib/libpth.la))

Revision 1.49.2.9  2008/08/30 21:59:57  shadzik
- 4.1.64

Revision 1.49.2.8  2008/08/21 15:44:40  paszczus
- updated to 4.1.63

Revision 1.49.2.7  2008/08/17 22:13:05  shadzik
- 4.1.62

Revision 1.49.2.6  2008/08/15 11:46:08  shadzik
- cmake fix now in cmake itself

Revision 1.49.2.5  2008/08/09 14:46:39  shadzik
- fix build with cmake > 2.6.0

Revision 1.49.2.4  2008/08/08 13:36:30  shadzik
- 4.1.61
- strict cmake version

Revision 1.49.2.3  2008/08/05 21:30:59  shadzik
- uhm, cmake too

Revision 1.49.2.2  2008/08/05 21:30:39  shadzik
- updated qt BR
- rel 2

Revision 1.49.2.1  2008/08/05 19:02:36  shadzik
- 4.1.60

Revision 1.49  2008/07/25 21:19:57  arekm
- rel 4; br akonadi 1.0.0

Revision 1.48  2008/07/25 19:42:38  arekm
- release 3

Revision 1.47  2008/07/25 09:45:20  paszczus
- added C: kdelibs; rel 2

Revision 1.46  2008/07/24 13:51:53  paszczus
- updated to stable 4.1.0

Revision 1.45  2008/07/24 12:27:33  paszczus
- updated to 4.0.99

Revision 1.44  2008/07/22 13:02:42  arekm
- drop kde3 anti-conflict patch

Revision 1.43  2008/07/15 17:29:53  shadzik
- 4.0.98

Revision 1.42  2008/07/04 07:55:36  paszczus
- package additional files

Revision 1.41  2008/07/04 06:50:28  paszczus
- updated to 4.0.85

Revision 1.40  2008/06/27 17:18:38  rotom
- up to 4.0.84

Revision 1.39  2008/06/24 19:39:23  shadzik
- BR: automoc4

Revision 1.38  2008/06/24 16:34:57  shadzik
- 4.0.83

Revision 1.37  2008/06/20 16:17:31  shadzik
- 64bit fix

Revision 1.36  2008/06/12 15:48:15  shadzik
- 4.0.82

Revision 1.35  2008-06-03 20:47:31  rotom
- up to 4.0.81

Revision 1.34  2008-05-27 15:45:40  shadzik
- back to akonadi BR (fixed kde4-kdesupport so that it provides everythng we need)

Revision 1.33  2008-05-27 15:16:45  shadzik
- 4.0.80
- changed BR: akonadi-devel -> kde4-kdesupport-akonadi-devel (even though it's just temporary)

Revision 1.32  2008-05-22 16:45:27  glen
- write out patch name

Revision 1.31  2008-05-22 16:35:39  shadzik
- more precise akonadi BR
- rm -akonadi.patch as it's now obsolete

Revision 1.30  2008-05-17 07:13:07  shadzik
- define qtver

Revision 1.29  2008-05-17 07:11:34  shadzik
- 4.0.74

Revision 1.28  2008-05-10 15:52:50  shadzik
- acurate boost-devel version

Revision 1.27  2008-05-09 04:50:10  shadzik
- kill stupid obsoletes

Revision 1.26  2008-05-09 04:27:24  shadzik
- mkdir -> install -d

Revision 1.25  2008-05-09 03:38:05  shadzik
- add patch1
- BR: akonadi-devel

Revision 1.24  2008-05-08 23:08:08  shadzik
- 4.0.73
- rel 1

Revision 1.23  2008-04-30 20:28:29  rotom
- 4.0.72

Revision 1.22  2008-04-19 15:33:29  shadzik
- 4.0.70

Revision 1.21  2008-04-13 17:09:50  rotom
- 4.0.69

Revision 1.20  2008-04-03 20:22:43  rotom
- 4.0.68

Revision 1.19  2008-03-28 04:42:55  shadzik
- 4.0.67
- akonadi files are now part of kdepimlibs not kdepim

Revision 1.18  2008-03-16 17:06:11  arekm
- up to 4.0.66; avoid conflict with kde3

Revision 1.17  2008-03-07 19:48:20  shadzik
- 4.0.65

Revision 1.16  2008-03-06 07:43:32  arekm
- todo

Revision 1.15  2008-03-05 17:31:20  shadzik
- 4.0.64
- updated BRs

Revision 1.14  2008-02-18 22:05:34  qboosh
- some cleanups/reorders

Revision 1.13  2008-02-15 01:51:03  shadzik
- 4.0.62

Revision 1.12  2008-02-10 16:44:45  rotom
- 4.0.61

Revision 1.11  2008-02-06 14:27:48  shadzik
- adapterized

Revision 1.10  2008-02-04 23:16:15  shadzik
- updated R

Revision 1.9  2008-02-04 21:47:39  qboosh
- no initial epoch

Revision 1.8  2008-02-04 21:01:41  shadzik
- auto up to 4.0.60
- strict kde4-kdelibs BR

Revision 1.7  2008-02-03 03:15:06  shadzik
- no minlibsevr

Revision 1.6  2008-02-02 03:01:28  shadzik
- fix Rs

Revision 1.5  2008-02-02 01:44:41  shadzik
- proper Name
- fix BRs
- add O: and C:
- kill useless O:s

Revision 1.4  2008-01-20 05:25:24  glen
- rpm macros for cmake

Revision 1.3  2008-01-19 14:16:29  qboosh
- updated descs

Revision 1.2  2008-01-12 20:06:19  rotom
- up to 4.0.0 stable (NFY)

Revision 1.1  2007-12-11 20:22:31  rotom
- now as kdepimlibs4.spec (NFY)

Revision 1.11  2007-11-30 22:24:34  rotom
- up to 3.96.2 (NFY)

Revision 1.10  2007/09/04 00:23:47  wolvverine
- up to 3.92.0

Revision 1.9  2007/02/12 22:03:39  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.7  2006/12/18 22:36:20  glen
- more BR (or these should be in kdelibs-devel?)

Revision 1.6  2006/12/18 22:30:39  glen
- more missing BR

Revision 1.5  2006/12/18 22:28:24  glen
- QtCore-devel needed regardless of visibility
- qt-designer-libs is wrong

Revision 1.4  2006/12/18 18:08:14  shadzik
- BR qt4-qmake

Revision 1.3  2006/12/09 04:10:25  shadzik
- cosmetics

Revision 1.2  2006/12/08 17:16:58  glen
- start with no epoch
- drop other package changelog

Revision 1.1  2006/12/08 17:12:10  shadzik
- new
- pimlibs for kde4rc2 (3.80.2)
- builds and should work
